
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Unna:ital,wght@0,400;0,700;1,400;1,700&display=swap');


:root{
    --green:#3B823E;
    --light-green: #436E35;
    --dark-green: #01370C;
    --black:#343434;
    --white:#FFFFFF;
    --bg-color: #F0F5F0;
    --red: #d11f1f;
    
    --main-font: "Open Sans", sans-serif;
    --headers-font: "Unna", sans-serif;

    --font-special: 300;
    --font-thin: 400;
    --font-bold: 700;
}

*{
    margin: 0 ;
    padding: 0;
    box-sizing: border-box;
    font-family: var(--main-font);
    text-decoration: none;
}

body{
    background-color: var(--bg-color);
}

main{
    margin: 0 120px;
}

main section{
    margin-bottom: 120px;
}

.head{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 80px;
    gap: 88px;
    font-weight: 600;
    font-size: 18px;
    padding: 0 120px;
}

.anounce{
    display: flex;
    position: relative;
    color: var(--white);
    font-weight: var(--font-thin);
    background-color: var(--dark-green);
    height: 40px;
    padding: 8px 120px;
    justify-content: center;
    align-items: center;
}

.icons{
    position: absolute;
    display: flex;
    gap: 56px;
    top: 10px;
    right: 120px;
}

.navigation ul{
    list-style-type: none;
    display: flex;
    gap: 56px; 
}

.navigation a{
    color: var(--black);
    display: flex;
    gap: 10px;
    align-items: center;
}

.search-form{
    display: flex;
    gap: 12px;
    color: rgba(52, 52, 52, 0.5);
    font-size: 16px;
    border: 1px solid var(--black);
    border-radius: 6px;
    padding: 12px;
    width: 202px;
    height: 40px;
    align-items: center;
}

.positions{
    margin-top: 32px;
}

.positions-all{
    display: flex;
    align-items: center;
    gap: 8px;
    color: var(--green);
    font-weight: var(--font-thin);
    font-size: 16px;
    justify-content: flex-end;
    margin-bottom: 20px;
}

.positions-main{
    display: flex;
    justify-content: space-between;
}

.positions-main a{
    color: inherit;
}

.positions-main img{
    border-radius: 50%;
    width: 180px;
    height: 180px;
    object-fit: cover;
    box-shadow: 0 8px 23px 0 rgba(80, 107, 82, 0.16);
    margin-bottom: 24px;
}

.positions-main figcaption{
    font-weight: var(--font-bold);
    font-size: 16px;
    letter-spacing: 0.2em;
    text-transform: uppercase;
    text-align: center;
    
    color: var(--black);
}

.title{
    text-align: center;
    margin-bottom: 28px;
}

.title-left{
    text-align: left;
    margin-bottom: 0px;
}

.title p{
    font-family: var(--headers-font);
    font-weight: var(--font-bold);
    font-size: 48px;
    color: var(--black);
}

.sale-box{
    display:flex;
    flex-direction: column;
    box-sizing: border-box;
    border-radius: 16px;
    background-color: var(--white);
    padding: 20px;
    gap: 16px;
    box-shadow: 0 8px 23px 0 rgba(80, 107, 82, 0.13);
    
    position: relative;
}

.sale-box-picture{
    border-radius: 8px;
    object-fit: cover;
}

.sale-box-large{
    width: 384px;
}

.sale-box-mini{
    width: 282px;
}

.sale-box-large .sale-box-picture{
    width: 344px;
    height: 318px;
}

.sale-box-mini .sale-box-picture{
    width: 242px;
    height: 176px;
}

.sale-box-discount{
    width: 64px;
    height: 64px;
    
    position: absolute;
    inset: 28px 28px auto auto;
}

.sale-box-info{
    display: flex;
    flex-direction: column;
    font-size: 20px;
    gap: 4px;
}

.btn{
    display: flex;
    box-sizing: border-box;
    border-radius: 8px;
    background-color: var(--green);
    cursor: pointer;
    color: var(--bg-color);
    font-weight: var(--font-bold);
    font-size: 20px;
    align-items: center;
    justify-content: center;
    height: 64px;
    width: 100%;
}

.best-plants{
    display: flex;
    justify-content: space-between;
    margin-bottom: 120px;
}

.trend-plants{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 24px;
}

.name{
    font-weight: var(--font-bold);
}

.price{
    font-weight: var(--font-thin);
    display: flex;
    align-items: center;
    gap: 8px;
}

.old-price{
    font-weight: var(--font-special);
    font-size: 16px;
    color: var(--red);
    text-decoration: line-through 1px;
}

.blog{
    display: flex;
    justify-content:space-between;
}

.blog-box{
    position: relative;
    box-sizing: border-box;
    overflow: hidden;
    border-radius: 16px;
    align-items: center;
    width: calc((100% - 24px) / 2);
    height: 286px;
    box-shadow: 0 8px 23px 0 rgba(80, 107, 82, 0.13);
}

.blog-box img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    inset: 0;
}

.blog-descrip::before{
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(80, 107, 82, 0.25);
    z-index: -1;
}

.blog-descrip{
    position: absolute;
    inset: 0;
    z-index: 2;
    
    padding: 40px 94px;
    gap: 28px;
    text-align: center;
    font-weight: var(--font-thin);
    font-size: 28px;
    color: var(--white);

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: stretch;
}

.hot-sales, .planter{
    display: flex;
    justify-content: space-between;
}

.gardening{
    display: flex;
    justify-content: space-between;
}

.gardening-box{
    width: calc((100% - 24px) / 2);
    height: 440px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    box-sizing: border-box;
    overflow: hidden;
}

.gardening-text{
    box-sizing: border-box;
    height: 258px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin-top: 20px;
    margin-bottom: 28px;
}

.gardening-text-main{
    font-size: 24px;
    font-weight: var(--font-thin);
}

.gardening-text-warning{
    font-size: 20px;
    font-weight: var(--font-special);
    font-style: italic;
    color: var(--red);
}

.gardening .btn{
    width: 282px;
}

.gardening-picture{
    width: 100%;
    height: 100%;
    object-position: 100% 100%;;
    object-fit: cover;
}

.gardening-picture-decoration{
    border: 1px solid var(--green);
    border-radius: 16px;
    box-shadow: 0 8px 23px 0 rgba(80, 107, 82, 0.13);
}

.celebs-gallery{
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 20px;
}

.celeb-card{
    position: relative;
    box-shadow: 0 8px 23px 0 rgba(80, 107, 82, 0.13);
    border-radius: 8px;
    height: 310px;
    overflow: hidden;
}

.celeb-card::after {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(to top, rgba(0, 0, 0, 0.45) 7%, rgba(52, 52, 52, 0) 32%);
    border-radius: 8px;
}

.celeb-card figcaption{
    position: absolute;
    bottom: 16px;
    left: 16px;
    z-index: 10;

    text-align: left;
    font-weight: var(--font-thin);
    font-size: 16px;
    color: var(--white);
}

.s4-column{
    grid-column: span 3;
}

.s3-column{
    grid-column: span 4;
}

.celebs img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    border-radius: 8px;
}

.footer{
    background-color: var(--light-green);
    height: 306px;
    font-weight: var(--font-thin);
    font-size: 16px;
    color: var(--white);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.footer-main{
    display: flex;
    justify-content: space-between;
    padding: 40px 120px;
}

.extra-links{
    display: flex;
    gap: 64px;
}

.extra-links ul{
    list-style-type: none;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.extra-links li a{
    color: var(--white);
}

.extra-links h4{
    font-weight: var(--font-bold);
    margin-bottom: 8px;
}

.copyright{
    display: flex;
    flex-direction: column;
    gap: 48px;
    width: 176px;
}

.credit{
    text-align: right;
}

.share{
    display: flex;
    justify-content: space-between;
}

.social{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 48px;
    width: 48px;
    background-color: var(--dark-green);
    border-radius: 50%;
    justify-content: center;
}

.footer-announce{
    background-color: var(--dark-green);
    height: 58px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 48px;
    padding: 0 120px;
}

.pay-methods{
    display: flex;
    align-items: center;
    gap: 24px;
}